Developers
REST API
GuidesErrorsLogin
Get API Keys
API Navigation
  • Overview
  • Quick start
  • Authentication
  • Collect a payment
  • Payment status
  • Refunds
  • Testing
  • Production
  • Security
API reference
  • Create API keys POST
  • List API keys GET
  • Get API key GET
  • Delete API key DEL
  • Collect with MTN POST
  • MTN payment status GET
  • Collect with Airtel POST
    Create and pay
  • Create order POST
  • Order fee POST
  • Pay order with card POST
  • Pay order with bank POST
  • Status and verify
  • Order status POST
  • Verify order POST
  • Cards and tokens
  • Save card POST
  • Tokenize charge GET
  • Refunds
  • Refund order POST
  • Lists and stats
  • List orders GET
  • Get order GET
  • List banks GET
  • Order stats GET
  • List transactions GET
  • Get transaction GET
  • Transaction statuses GET
Errors and limits
  1. Docs
  2. API reference
  3. Get transaction

Get transaction

Load one payment by numeric id, including its order, for the signed-in merchant.

OpenAPI SpecRun in Postman
GET/transactions/:idAPI
Authentication:Bearer token•Authorization: Bearer <token>(Bearer token for server-to-server API calls)
Security requirement: 403 CSRF Protection
Auth guide →

Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:

X-Requested-With: XMLHttpRequest

Path params

FieldTypeRequiredDescription
idnumberRequiredInternal payment row numeric ID.
import axios from "axios";

const url = "https://payment-service-mh2d.onrender.com/api/transactions/:id";

const headers = {
    Authorization: `Bearer ${process.env.ZIBA_TOKEN}`,
};

try {
  const response = await axios.get(url, {
    headers,
    timeout: 15000,
  });
  console.log("Success:", response.status, response.data);
} catch (error) {
  console.error("Request failed:", error.response?.data || error.message);
}
Auth guide

Response fields

FieldTypePresenceDescription
statusstringAlways returnedsuccess
data.payment.idnumberAlways returnedInternal numeric payment row ID.
data.payment.amountnumberAlways returnedPayment amount.
data.payment.statusstringAlways returnedStored payment status (e.g., PENDING, COMPLETED).
data.payment.methodstringAlways returnedPayment channel: MTN, AIRTEL, or TRANSACTPAY.
data.payment.orderIdstringAlways returnedAssociated order reference identifier.
data.payment.userIdstringAlways returnedMerchant account ID.
data.payment.createdAtstringAlways returnedTimestamp payment row was recorded.

Status codes

HTTP StatusMeaning
200{ status: "success", data: { payment } }, including the associated order.
400{ status: "fail", message: "Invalid payment id" } when the id is not an integer.
401No merchant session.
404{ status: "fail", message: "Payment not found" } when the id is missing or belongs to another merchant.

Related

List transactions
Was this page helpful?

Let us know how we can make our API documentation better.

PreviousList transactions
NextTransaction statuses